import java.util.ArrayList;
import java.util.HashSet;

public class VotingSystem {

    private ArrayList<Voting> votingList;

    public VotingSystem() {
        this.votingList = new ArrayList<>();
    }

    public Voting createVoting(int type, String question, ArrayList<String> optionsList) {
        HashSet<String> optionsSet = new HashSet<>(optionsList);
        Voting voting = new Voting(type, question, optionsSet);
        this.votingList.add(voting);
        return voting;
    }


    public ArrayList<Voting> getVotingList() {
        return votingList;
    }


    public ArrayList<Voting> getVoting(int type) {
        ArrayList<Voting> sameVoting = new ArrayList<>();

        for (Voting voting : this.votingList) {
            if (voting.getType() == type) {
                sameVoting.add(voting);
            }
        }
        return sameVoting;
    }


    public void vote(Voting voting, Person person, ArrayList<String> selectedOptions) {
        voting.vote(person, selectedOptions);
    }


    public void vote(Voting voting, Person person, String selectedOption) {
        voting.vote(person, selectedOption);
    }


    public void printVotingResult(Voting voting, int type) {
        System.out.println(voting.getQuestion());
        voting.printVotes(type);
    }
}